local config = {}
local path = "Interface\\Addons\\Fireskin\\Fire" 

function NAMEPLATE_STYLE_DELEGATE(unit)
	if unit.isElite then return true else return false end
end

function NAMEPLATE_SPECIALTEXT_DELEGATE(unit)
	return unit.level
end

config.healthborder = {
	texture 		= path.."\\FireSkin_Artwork",
	glowtexture 			= path.."\\FireSkin_Glow",
	elitetexture		 	= path.."\\FireSkin_Elite",
	emptyTexture			= path.."\\Empty",
	width = 128,
	height = 32,
	x = 0,
	y = 0,
}

config.threatborder = {
	texture =					path.."\\FireSkin_Threat",
	elitetexture =			path.."\\FireSkin_Threat_Elite",
	width = 128,
	height = 32,
	x = 0,
	y = 0,
	anchor = "CENTER",
    }

config.name = {
	typeface =					path.."\\TinDog.ttf",
	size = 11,
	width = 100,
	height = 9,
	x = 10,
	y = -15,
	align = "LEFT",
	anchor = "TOPLEFT",
	shadow = true,
	vertical = "BOTTOM",
}

config.level = {
	typeface =					path.."\\TinDog.ttf",
	size = 11,
	width = 30,
	height = 9,
	x = -120,
	y = -15,
	align = "RIGHT",
	anchor = "TOPRIGHT",
    shadow = true,
	vertical = "BOTTOM",
}

config.healthbar = {
	texture =					 path.."\\Embers",
	height = 8,
	width = 105,
	x = 0,
	y = -5,
	anchor = "BOTTOM",
	orientation = "HORIZONTAL",
}

config.castbar = {
	texture =					path.."\\Embers",
	height = 11,
	width = 70,
	x = -2,
	y = 4,
	anchor = "BOTTOM",
	orientation = "HORIZONTAL",
}

config.specialText = {
	typeface =					path.."\\TinDog.ttf",
	size = 10,
	width = 74,
	height = 9,
	x = 0,
	y = 2,
	align = "RIGHT",
	anchor = "BOTTOMRIGHT",
	vertical = "TOP",
}

config.spellicon = {
	width = 13,
	height = 13,
	x = 0,
	y = 0,
	anchor = "BOTTOM",
}

config.raidicon = {
	width = 14,
	height = 14,
	x = 0,
	y = 12,
	anchor = "TOP",
}

config.frame = {
	width = 128,
	height = 32,
	x = 0,
	y = 15,
}

config.options = {
	showEliteColor = true,
	showLevelColorOnTexture = true,
	showLevel = true,
	showName = true,
	showSpecialText = false,
}

if not TidyPlatesThemeList then TidyPlatesThemeList = {} end
TidyPlatesThemeList["FireSkin"] = config

local f = CreateFrame("Frame", "AutoNameplates")
f:RegisterEvent("PLAYER_REGEN_ENABLED")
f:RegisterEvent("PLAYER_REGEN_DISABLED")
f:SetScript("OnEvent", function(self, event, ...)
  self[event]()
end)


function f:PLAYER_REGEN_ENABLED()
	SetCVar("nameplateShowEnemies", 0)
end

function f:PLAYER_REGEN_DISABLED()
 	SetCVar("nameplateShowEnemies", 1)
end


MY_NAMEPLATE_STYLE_BASIC = {}
MY_NAMEPLATE_STYLE_BASIC = config




